public struct SearchResultDTO: Codable {
    enum CodingKeys: String, CodingKey {
        case id
        case title
        case sortPoints
        case categoryName
        case categoryId
        case categoryIcon
        case tagTitle
        case content
        case weeks
        case articleId
        case articleName
    }
 
    public let id: Int
    public let title: String
    public let sortPoints: Int
    public let categoryName: String
    public let categoryId: Int
    public let categoryIcon: String
    public let tagTitle: String
    public let content: String
    public let weeks: [String]?
    public let articleId: Int?
    public let articleName: String?
    
    public init(id: Int, title: String, sortPoints: Int, categoryName: String, categoryId: Int, categoryIcon: String, tagTitle: String, content: String, weeks: [String]?, articleId: Int?, articleName: String?) {
        self.id = id
        self.title = title
        self.sortPoints = sortPoints
        self.categoryName = categoryName
        self.categoryId = categoryId
        self.categoryIcon = categoryIcon
        self.tagTitle = tagTitle
        self.content = content
        self.weeks = weeks
        self.articleId = articleId
        self.articleName = articleName
    }
}

public extension SearchResultDTO {
    
    var unwrappedArticleId: Int {
        if let articleId = articleId {
            return articleId
        }
        return id
    }
    
    var sectionId: Int? {
        if articleId != nil { return id }
        return nil
    }
}
