fastlane documentation
----

# Installation

Make sure you have the latest version of the Xcode command line tools installed:

```sh
xcode-select --install
```

For _fastlane_ installation instructions, see [Installing _fastlane_](https://docs.fastlane.tools/#installing-fastlane)

# Available Actions

### firebase_projectenv

```sh
[bundle exec] fastlane firebase_projectenv
```

"ProjectEnv" track on Firebase

### firebase_internal_test

```sh
[bundle exec] fastlane firebase_internal_test
```

"InternalTest" track on Firebase

### firebase_test1

```sh
[bundle exec] fastlane firebase_test1
```

"Test1" track on Firebase

### firebaseft_test2

```sh
[bundle exec] fastlane firebaseft_test2
```

"Test2" track on Firebase

### app_store

```sh
[bundle exec] fastlane app_store
```

Uploads "Release" build to App Store

### test_single

```sh
[bundle exec] fastlane test_single
```

Run test on one device

### generate_test_reports

```sh
[bundle exec] fastlane generate_test_reports
```

Generate test reports

### bump_release_version

```sh
[bundle exec] fastlane bump_release_version
```

Bump version

----

This README.md is auto-generated and will be re-generated every time [_fastlane_](https://fastlane.tools) is run.

More information about _fastlane_ can be found on [fastlane.tools](https://fastlane.tools).

The documentation of _fastlane_ can be found on [docs.fastlane.tools](https://docs.fastlane.tools).
